module AgapeRedRecipes
  module Gems

    def missing_gems?(*gem_names)
      gem_names = [gem_names].flatten
      gem_names - all_gem_names
    end

    def require_gems!(*gem_names)
      missing_gems = missing_gems?(gem_names)
      return if missing_gems.empty?
      abort "Please install the gems #{missing_gems.join(" and ")} before installing."
    end

    def all_gem_names
      Gem::Specification.collect &:name
    end

  end
end